Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2891933004: Remove raw base::DictionaryValue::Set in //content (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by jdoerrie
Modified:
4 months, 1 week ago
Reviewers:
vabr (Chromium), brettw
CC:
chromium-reviews, tzik, posciak+watch_chromium.org, dougt+watch_chromium.org, dmazzoni+watch_chromium.org, tracing+reviews_chromium.org, kinuko+watch, jsbell+serviceworker_chromium.org, cbentzel+watch_chromium.org, aboxhall+watch_chromium.org, jam, net-reviews_chromium.org, je_julie, darin-cc_chromium.org, devtools-reviews_chromium.org, einbinder+watch-test-runner_chromium.org, blink-worker-reviews_chromium.org, mlamouri+watch-content_chromium.org, dtseng+watch_chromium.org, eroman, Peter Beverloo, yuzo+watch_chromium.org, feature-media-reviews_chromium.org, nhiroki, piman+watch_chromium.org, jsbell+idb_chromium.org, jochen+watch_chromium.org, michaeln, shimazu+serviceworker_chromium.org, mlamouri+watch-test-runner_chromium.org, wfh+watch_chromium.org, serviceworker-reviews, nektar+watch_chromium.org, bnc+watch_chromium.org, kinuko+serviceworker, mmenke, cmumford, horo+watch_chromium.org, pfeldman
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove raw base::DictionaryValue::Set in //content This change removes the deprecated raw pointer version of base::DictionaryValue::Set in //content and replaces it with the unique pointer version or other convenience functions where appropriate. BUG=646113, 581865 Review-Url: https://codereview.chromium.org/2891933004 Cr-Commit-Position: refs/heads/master@{#477581} Committed: https://chromium.googlesource.com/chromium/src/+/664305c0416320561681f1593627ad5d25aca07f

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+197 lines, -167 lines) Patch
M content/browser/accessibility/accessibility_tree_formatter.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/accessibility/accessibility_tree_formatter_auralinux.cc View 2 chunks +6 lines, -2 lines 0 comments Download
M content/browser/accessibility/accessibility_tree_formatter_blink.cc View 1 3 chunks +6 lines, -2 lines 0 comments Download
M content/browser/accessibility/accessibility_ui.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M content/browser/devtools/protocol/devtools_protocol_browsertest.cc View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M content/browser/devtools/protocol/system_info_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/gpu/compositor_util.h View 1 2 chunks +4 lines, -2 lines 0 comments Download
M content/browser/gpu/compositor_util.cc View 1 4 chunks +12 lines, -14 lines 0 comments Download
M content/browser/gpu/gpu_data_manager_impl.h View 1 chunk +2 lines, -3 lines 0 comments Download
M content/browser/gpu/gpu_data_manager_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/gpu/gpu_data_manager_impl_private.h View 1 3 chunks +3 lines, -1 line 0 comments Download
M content/browser/gpu/gpu_data_manager_impl_private.cc View 1 2 chunks +4 lines, -2 lines 0 comments Download
M content/browser/gpu/gpu_internals_ui.cc View 14 chunks +46 lines, -43 lines 0 comments Download
M content/browser/indexed_db/indexed_db_context_impl.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M content/browser/media/media_internals.cc View 1 2 4 chunks +5 lines, -4 lines 0 comments Download
M content/browser/media/media_internals_proxy.h View 2 chunks +3 lines, -3 lines 0 comments Download
M content/browser/media/media_internals_proxy.cc View 4 chunks +12 lines, -11 lines 0 comments Download
M content/browser/net/network_errors_listing_ui.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/service_worker/service_worker_internals_ui.cc View 1 chunk +6 lines, -6 lines 0 comments Download
M content/browser/tracing/tracing_controller_impl.cc View 3 chunks +4 lines, -1 line 0 comments Download
M content/browser/webrtc/webrtc_internals.cc View 1 6 chunks +8 lines, -9 lines 0 comments Download
M content/renderer/devtools/devtools_agent.cc View 1 2 2 chunks +3 lines, -2 lines 0 comments Download
M content/renderer/media/peer_connection_tracker.cc View 4 chunks +12 lines, -12 lines 0 comments Download
M content/shell/browser/shell_devtools_bindings.cc View 2 chunks +5 lines, -2 lines 0 comments Download
M content/shell/browser/shell_net_log.cc View 2 chunks +7 lines, -4 lines 0 comments Download
M content/shell/renderer/layout_test/leak_detector.cc View 2 chunks +23 lines, -20 lines 0 comments Download
M net/log/net_log.h View 1 chunk +4 lines, -4 lines 0 comments Download
M net/log/net_log.cc View 3 chunks +7 lines, -6 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   ios-device   linux_chromium_tsan_rel_ng   ios-simulator   chromium_presubmit   cast_shell_linux   win_chromium_rel_ng   android_n5x_swarming_rel   mac_chromium_rel_ng   android_clang_dbg_recipe   mac_chromium_compile_dbg_ng   win_clang   linux_chromium_compile_dbg_ng   cast_shell_android   linux_chromium_rel_ng   android_cronet   linux_android_rel_ng   linux_chromium_headless_rel   win_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   android_compile_dbg   ios-simulator-xcode-clang   ios-device-xcode-clang   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   android_arm64_dbg_recipe   ios-device   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   ios-simulator   chromium_presubmit   cast_shell_linux   win_chromium_rel_ng   android_n5x_swarming_rel   mac_chromium_rel_ng   android_clang_dbg_recipe   win_clang   mac_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   cast_shell_android   android_cronet   linux_chromium_headless_rel   linux_android_rel_ng   android_compile_dbg   win_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   ios-simulator-xcode-clang   chromeos_daisy_chromium_compile_only_ng   ios-device-xcode-clang   win_chromium_x64_rel_ng   linux_chromium_asan_rel_ng   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 21 (16 generated)
jdoerrie
vabr@chromium.org: Please review the whole CL in detail. brettw@chromium.org: Please spot-check and rubber-stamp.
4 months, 2 weeks ago (2017-06-02 13:18:32 UTC) #12
vabr (Chromium)
LGTM, thanks for the improvements! Vaclav
4 months, 2 weeks ago (2017-06-03 11:22:35 UTC) #15
brettw
owners stamp lgtm
4 months, 1 week ago (2017-06-06 21:02:30 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891933004/40001
4 months, 1 week ago (2017-06-07 06:42:35 UTC) #18
commit-bot: I haz the power
4 months, 1 week ago (2017-06-07 08:34:56 UTC) #21
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/664305c0416320561681f1593627...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa